<?php

namespace EventPortal\Domain\Component\Filter;

use EventPortal\Domain\Component\Concerns\HasOptions;

class StatusFilter extends Filter
{
    use HasOptions;

    /** @var string */
    public $type = 'Select';

    public function __construct(string $label)
    {
        parent::__construct($label);

        $this->lookup(function ($query, $value, $field) {
            return $query->where($field, $value);
        });
    }
}
