<?php

namespace EventPortal\Providers;

use EventPortal\Contracts\Event;
use EventPortal\Domain\Event\Policies\EventDelegatePolicy;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /** @var array */
    protected $policies = [
        Event::class => EventDelegatePolicy::class,
    ];

    public function boot(): void
    {
        $this->registerPolicies();
    }
}
